@import "~ag-grid-enterprise/dist/styles/ag-grid";
@import "~ag-grid-enterprise/dist/styles/ag-theme-balham/sass/ag-theme-balham-mixin";
@import "~ag-grid-enterprise/dist/styles/ag-theme-balham-dark/sass/ag-theme-balham-dark-default-params";

/* .ag-theme-balham {
    @include ag-theme-balham((
        odd-row-background-color: pink
    ));
} */
 
.ag-theme-balham {
  @include ag-theme-balham($ag-theme-balham-default-params);
}

.highlight-grid-has-filter{

  .ag-theme-balham{

    .ag-side-buttons{

      div:nth-of-type(2){

        background-color:#006dff;

        font-weight:bold;

        color:white;

        &.ag-selected>*{

          color:black;

        }

      }

    }

  }

  .ag-theme-balham-dark{

    .ag-side-buttons{

      div:nth-of-type(2){

        background-color:#006dff;

        font-weight:bold;

        color:white;

      }

    }

  }

}

.editable-div:hover{

  .editable-icon{

    /* cursor: pointer; */

    display: block;

    /* float: right;

    font-size: 10px; */

  }

}

.editable-icon{

  display: none;

}

.grid-font-monospace{

  .ag-theme-balham {

    font-family: monospace !important;

  }

}

.ag-theme-balham-dark {
  $background: #2d3436;
  $foreground: #F5F5F5;
  font-family: "RR Pioneer";
  $dark-params: map-merge($ag-theme-balham-dark-default-params, (
      background-color: $background,
      foreground-color: $foreground,
      secondary-foreground-color: $foreground,
      odd-row-background-color: darken($background, 3),
      header-background-color: darken(#636e72, 30),
      header-foreground-color: $foreground,
      header-cell-hover-background-color: lighten($background, 5),
      header-cell-moving-background-color: lighten($background, 5),
      border-color: #424242,
      hover-color: lighten($background, 7),
      font-family: "RR Pioneer"
    ));

  @include ag-theme-balham($dark-params);
}